Update 2

View as Markdown

V2 View to update a Podcast. Allows updating title, description, cover_image, length, and visibility.

Path parameters

idintegerRequired

Request

This endpoint expects an object.
titlestringOptional<=255 characters
descriptionstringOptional
voice_typeenum or any or nullOptional
Voice preset to use for the podcast (interview, panel, educational, narrative, debate) * `interview` - Interview * `panel` - Panel * `educational` - Educational * `narrative` - Narrative * `debate` - Debate
languageenum or any or nullOptional
lengthinteger or nullOptional
knowledge_levelenumOptional
* `beginner` - Beginner * `intermediate` - Intermediate * `advanced` - Advanced * `expert` - Expert
Allowed values:
llm_promptstringOptional
focus_areastring or nullOptional<=256 characters
visibilityenumOptional
* `public` - Public * `private` - Private * `team` - Team * `org` - Organization
Allowed values:
is_draftbooleanOptional
Whether this podcast is a draft
cover_imagestring or nullOptionalformat: "uri"

Response

titlestring<=255 characters
descriptionstring
voice_typeenum or any or null
Voice preset to use for the podcast (interview, panel, educational, narrative, debate) * `interview` - Interview * `panel` - Panel * `educational` - Educational * `narrative` - Narrative * `debate` - Debate
languageenum or any or null
lengthinteger or null
knowledge_levelenum
* `beginner` - Beginner * `intermediate` - Intermediate * `advanced` - Advanced * `expert` - Expert
Allowed values:
llm_promptstring
focus_areastring or null<=256 characters
visibilityenum
* `public` - Public * `private` - Private * `team` - Team * `org` - Organization
Allowed values:
is_draftboolean
Whether this podcast is a draft
cover_imagestring or nullformat: "uri"